package com.xy.utils.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 设备运营状态 1 运营中 2 已停运
 *
 * @author 谭斌
 */
@Getter
@ToString
@AllArgsConstructor
public enum DeviceBusySateType {


    OPERATING(1, "运营中"),
    SUSPENDED(2, "已停运");

    /**
     * 编码值
     */
    private Integer code;

    /**
     * 描述
     */
    private String description;


    /**
     * 通过code获取enum
     *
     * @param code
     * @return
     */
    public static DeviceBusySateType getEnumByCode(Integer code) {
        DeviceBusySateType[] values = values();
        for (DeviceBusySateType value : values) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }
}
